<?php
/**
 * The footer for our theme
 */
?>

<footer id="colophon" class="site-footer">
    <div class="container">
        <div class="footer-widgets">
            <?php
            for ($i = 1; $i <= 4; $i++) {
                if (is_active_sidebar('footer-' . $i)) {
                    dynamic_sidebar('footer-' . $i);
                } else {
                    // Default content for footer widgets if not set
                    echo '<div class="footer-widget">';
                    echo '<h3 class="footer-widget-title">' . esc_html__('Footer Widget ' . $i, 'threed-theme') . '</h3>';
                    echo '<p>' . esc_html__('Add widgets to the footer area from the Widgets section in your WordPress admin.', 'threed-theme') . '</p>';
                    echo '</div>';
                }
            }
            ?>
        </div>
        
        <div class="footer-bottom">
            <p class="copyright">
                &copy; <?php echo date('Y'); ?> <?php bloginfo('name'); ?>. 
                <?php esc_html_e('All rights reserved.', 'threed-theme'); ?>
            </p>
        </div>
    </div>
</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>