<?php
/**
 * Template Name: 3D Front Page
 */
get_header();
?>

<div class="three-d-container">
	<div class="three-d-item" data-scroll-section>
		<canvas id="heroCanvas"></canvas>
		<div class="content-overlay">
			<?php
			while (have_posts()) :
				the_post();
				the_content();
			endwhile;
			?>
		</div>
	</div>
</div>

<script>
document.addEventListener('DOMContentLoaded', () => {
	const canvas = document.getElementById('heroCanvas');
	const renderer = new THREE.WebGLRenderer({ canvas, alpha: true });
	
	// Scene setup
	const scene = new THREE.Scene();
	const camera = new THREE.PerspectiveCamera(75, canvas.offsetWidth/canvas.offsetHeight, 0.1, 1000);
	
	// Add 3D objects here
	const geometry = new THREE.IcosahedronGeometry(2);
	const material = new THREE.MeshPhongMaterial({ 
		color: 0xffffff,
		shininess: 100,
		transparent: true,
		opacity: 0.8
	});
	const mesh = new THREE.Mesh(geometry, material);
	scene.add(mesh);
	
	// Animation loop
	function animate() {
		requestAnimationFrame(animate);
		mesh.rotation.x += 0.005;
		mesh.rotation.y += 0.005;
		renderer.render(scene, camera);
	}
	animate();
});
</script>

<?php
get_footer();