/**
 * Animation functionality for 3D Theme
 */
document.addEventListener('DOMContentLoaded', function() {
    // Initialize GSAP ScrollTrigger
    if (typeof ScrollTrigger !== 'undefined') {
        gsap.registerPlugin(ScrollTrigger);
        
        // Fade in animations
        gsap.utils.toArray('.fade-in').forEach(element => {
            gsap.from(element, {
                opacity: 0,
                y: 30,
                duration: 1,
                scrollTrigger: {
                    trigger: element,
                    start: "top 80%",
                    toggleClass: {targets: element, className: "active"}
                }
            });
        });
        
        // Slide in from left
        gsap.utils.toArray('.slide-in-left').forEach(element => {
            gsap.from(element, {
                opacity: 0,
                x: -50,
                duration: 1,
                scrollTrigger: {
                    trigger: element,
                    start: "top 80%",
                    toggleClass: {targets: element, className: "active"}
                }
            });
        });
        
        // Slide in from right
        gsap.utils.toArray('.slide-in-right').forEach(element => {
            gsap.from(element, {
                opacity: 0,
                x: 50,
                duration: 1,
                scrollTrigger: {
                    trigger: element,
                    start: "top 80%",
                    toggleClass: {targets: element, className: "active"}
                }
            });
        });
        
        // Scale in
        gsap.utils.toArray('.scale-in').forEach(element => {
            gsap.from(element, {
                opacity: 0,
                scale: 0.8,
                duration: 1,
                scrollTrigger: {
                    trigger: element,
                    start: "top 80%",
                    toggleClass: {targets: element, className: "active"}
                }
            });
        });
    }
});