<?php
/**
 * Template Name: 3D Contact Page
 */
get_header();
?>

<section class="section three-d-item" data-scroll-section>
    <div class="container">
        <h2><?php the_title(); ?></h2>
        
        <form id="contactForm" class="three-d-container">
            <?php wp_nonce_field('contact_form', '_wpnonce'); ?>
            
            <div class="form-group three-d-item">
                <input type="text" name="name" placeholder="Your Name" required>
            </div>
            
            <div class="form-group three-d-item">
                <input type="email" name="email" placeholder="Your Email" required>
            </div>
            
            <div class="form-group three-d-item">
                <textarea name="message" rows="5" placeholder="Your Message" required></textarea>
            </div>
            
            <div class="form-submit three-d-item">
                <button type="submit">Send Message</button>
                <div class="form-response"></div>
            </div>
        </form>
    </div>
</section>

<script>
document.getElementById('contactForm').addEventListener('submit', function(e) {
    e.preventDefault();
    
    const formData = new FormData(this);
    formData.append('action', 'submit_contact');
    
    fetch('<?php echo admin_url('admin-ajax.php'); ?>', {
        method: 'POST',
        body: formData,
        credentials: 'same-origin'
    })
    .then(response => response.json())
    .then(data => {
        const responseDiv = document.querySelector('.form-response');
        responseDiv.textContent = data.data.message;
        responseDiv.style.display = 'block';
        if (data.success) this.reset();
    })
    .catch(error => console.error('Error:', error));
});
</script>

<?php
get_footer();